from random import randint as ri, sample

# Total number of statements for the test
stmts = 5000
# Number of initial insert statements
initial_insert = 250
max_id = int(1e9)
max_string = 200

min_integer = 10000000
max_integer = 100000000

recs = set()

def get_string():
	l = [chr(ord('a') + ri(0, ord('z') - ord('a'))) for _ in range(max_string)]
	return ''.join(l)

def get_integer():
	i = ri(min_integer, max_integer)
	return i

def print_insert():
	_id = ri(0, max_id)
	while _id in recs:
		_id = ri(0, max_id)

	print('insert into tt (id, title, author1, author2, author3, number1, number2, number3, contributor1, contributor2, contributor3)')
	print("values ({}, '{}', '{}', '{}', '{}', {}, {}, {}, '{}', '{}', '{}');".format(
				_id, 
				get_string(), get_string(), get_string(), get_string(), 
				get_integer(), get_integer(), get_integer(), 
				get_string(), get_string(), get_string()
	))
	print()

	recs.add(_id)

def print_commit():
	print('commit;')
	print()

def print_select():
	print('select * from tt;')
	print()

def print_update():
	_id = sample(recs, 1)[0]

	print("update tt set title = '{}', author1 = '{}', author2 = '{}', author3 = '{}', number1 = {}, number2 = {}, number3 = {}, contributor1 = '{}', contributor2 = '{}', contributor3 = '{}'".format(
		get_string(), get_string(), get_string(), get_string(),
		get_integer(), get_integer(), get_integer(),
		get_string(), get_string(), get_string()
	))
	print("where id = {};".format(_id))
	print()

def print_delete():
	if len(recs) == 0:
			print_insert()
			return

	_id = sample(recs, 1)[0]
	print('delete from tt where id = {};'.format(_id))
	print()

	recs.remove(_id)

for _ in range(stmts - 1):
	if len(recs) < initial_insert:
		print_insert()
		continue

	# use 5 if you want to create a full_test
	# use 10 to create a heavy_test
	stmt = ri(1, 10)

	if stmt == 1:
		print_insert()
	elif stmt == 2:
		print_update()
	elif stmt == 3:
		print_select()
	elif stmt == 4:
		print_commit()
	else:
		# the statement present in the last else 
		# will be the main statement in the heavy_test
		print_delete()

print_commit()